Xerces-C++ 3.2.4

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
XMLException Class Referenceabstract

`#include <xercesc/util/XMLException.hpp>`

Inheritance diagram for XMLException:

## Public Member Functions
virtual | ~XMLException ()
virtual const XMLCh * | getType () const =0
XMLExcepts::Codes | getCode () const
const XMLCh * | getMessage () const
const char * | getSrcFile () const
XMLFileLoc | getSrcLine () const
XMLErrorReporter::ErrTypes | getErrorType () const
void | setPosition (const char *const file, const XMLFileLoc line)
| XMLException ()
| XMLException (const char *const srcFile, const XMLFileLoc srcLine, MemoryManager *const memoryManager=0)
| XMLException (const XMLException &toCopy)
XMLException & | operator= (const XMLException &toAssign)
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Member Functions
void | loadExceptText (const XMLExcepts::Codes toLoad)
void | loadExceptText (const XMLExcepts::Codes toLoad, const XMLCh *const text1, const XMLCh *const text2=0, const XMLCh *const text3=0, const XMLCh *const text4=0)
void | loadExceptText (const XMLExcepts::Codes toLoad, const char *const text1, const char *const text2=0, const char *const text3=0, const char *const text4=0)
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Protected Attributes
MemoryManager * | fMemoryManager

## Constructor & Destructor Documentation

## ◆ ~XMLException()

virtual XMLException::~XMLException | ( |  | ) |
| virtual

## ◆ XMLException() [1/3]

XMLException::XMLException | ( |  | ) |

## ◆ XMLException() [2/3]

XMLException::XMLException | ( | const char *const | srcFile,
|  | const XMLFileLoc | srcLine,
|  | MemoryManager *const | memoryManager = `0`
| ) |  |

## ◆ XMLException() [3/3]

XMLException::XMLException | ( | const XMLException & | toCopy | ) |

## Member Function Documentation

## ◆ getCode()

XMLExcepts::Codes XMLException::getCode | ( |  | ) | const

## ◆ getErrorType()

XMLErrorReporter::ErrTypes XMLException::getErrorType | ( |  | ) | const

References XMLErrorReporter::ErrType_Error, XMLErrorReporter::ErrType_Fatal, XMLErrorReporter::ErrType_Warning, and XMLErrorReporter::ErrTypes_Unknown.

## ◆ getMessage()

const XMLCh * XMLException::getMessage | ( |  | ) | const

## ◆ getSrcFile()

const char * XMLException::getSrcFile | ( |  | ) | const

## ◆ getSrcLine()

XMLFileLoc XMLException::getSrcLine | ( |  | ) | const

## ◆ getType()

virtual const XMLCh * XMLException::getType | ( |  | ) | const
| pure virtual

## ◆ loadExceptText() [1/3]

void XMLException::loadExceptText | ( | const XMLExcepts::Codes | toLoad | ) |
| protected

## ◆ loadExceptText() [2/3]

void XMLException::loadExceptText | ( | const XMLExcepts::Codes | toLoad,
|  | const char *const | text1,
|  | const char *const | text2 = `0`,
|  | const char *const | text3 = `0`,
|  | const char *const | text4 = `0`
| ) |  |
| protected

## ◆ loadExceptText() [3/3]

void XMLException::loadExceptText | ( | const XMLExcepts::Codes | toLoad,
|  | const XMLCh *const | text1,
|  | const XMLCh *const | text2 = `0`,
|  | const XMLCh *const | text3 = `0`,
|  | const XMLCh *const | text4 = `0`
| ) |  |
| protected

## ◆ operator=()

XMLException & XMLException::operator= | ( | const XMLException & | toAssign | ) |

## ◆ setPosition()

void XMLException::setPosition | ( | const char *const | file,
|  | const XMLFileLoc | line
| ) |  |

## Member Data Documentation

## ◆ fMemoryManager

MemoryManager* XMLException::fMemoryManager
| protected

The documentation for this class was generated from the following file:

- XMLException.hpp